import { EventEmitter } from '@angular/core';
import { PopoverService } from './popover.service';
import * as i0 from "@angular/core";
export declare class PopoverLongpressDirective {
    private popoverService;
    getTime: any;
    currentTime: any;
    timer: any;
    longPressPopover: EventEmitter<any>;
    constructor(popoverService: PopoverService);
    mousedown(event: any): void;
    mouseup(): void;
    getEventPosition(event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PopoverLongpressDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<PopoverLongpressDirective, "[appPopoverLongpress]", never, {}, { "longPressPopover": "longPressPopover"; }, never, never, false, never>;
}
